# Solana Gatekeeper React Component Changelog

## 1.2.3 - Add credential expiration support
- Handle expired credential and send relevant information to the iframe

## 1.2.2 - Add reset method & bug-fixes

- Add reset method for reinitializing the client-core state
- Make presentationRequestId available to partner dApp even when partner approval is disabled

## 1.2.1 - Update solana web3 and update deprecated RPC calls

## 1.2.0 - Civic-sign remote error handling
Handle, parse and return any civic-sign errors as an ERROR_RESPONSE

## 1.1.0 - Dark mode UI support & autoShowModal 'false' by default

- Add support for dark mode UI
- Change the option.autoShowModal default to 'false'

## 1.0.10 - Bugfix - reload on document pass

Fix bug where the UI would be reloaded for document passes when it shouldn't.

## 1.0.9 - Improve analytics

Improvements to analytics to reduce null errorCode fields.

## 1.0.8 - Improve error handling

- Fix events so we can distinguish between tx failed, dropped, timed out, rejected
- Send analytics event when someone closes tab with tx pending
- Read the chain polling time from the GNKS settings

## 1.0.6 - Improve error handling

- fix error handling for solana when signature is required

## 1.0.5 - Improve error handling

- add new error codes to differentiate user rejection and signature errors

## 1.0.4 New options for issuance flow

- add option to not show the Token Active screen at the end of the flow

## 1.0.3 Use gateway-client-react and gateway-client-core

## 1.0.2 Event on-chain listener management fix

## 1.0.1 Fix gatekeeperSendsTransaction propagation & on-chain listener management

## 1.0.0 Add 'payer' option to props

- support setting a custom payer for the pass through a combination of handleTransaction and a new payer option

## 0.17.0 Add forceRequireRefresh option

- add option for a dApp to force a user to refresh their pass, even if it's not expired

## 0.16.13 - Include revoked status when fetching Solana pass

## 0.16.12 - Update common package to 0.11.11

## 0.16.11 - Next.js compatibility

- replace window refernences with globalThis.window for compatibility with different frontend frameworks

## 0.16.10 - Fix error handling response

## 0.16.9 - Fixed GK-API lookup errorCodes and payloads & polling for in-review states

- If the Gatekeeper API returns a 'pending' onbject and state is REQUESTED, begin polling for a change of state
- If an initial lookup call to the Gatekeeper API returns a response with an errorCode and payload, pass these to the iframe
- enforce gatekeeper-check on uniqueness network config
- add options.logLevel (debug, info, warn, error

## 0.16.7 - Pass errorCode and payload to iframe

- Bump internal dependency

## 0.16.6 - Pass errorCode and payload to iframe

- If the Gatekeeper API returns an errorCode or payload in an issuance error response, it gets passed to the iframe GET parameters

## 0.16.5 - Fix Gatekeeper-API initialisation

- Remove duplicate calls to the GK-API on start
- Handle user rejecting signing a proof of wallet message

## 0.16.4 - Send domain as iframe parameter

- Add domain to iframe parameters
- Fix issue where rejected transactions were propagating to browser

## 0.16.3 - Fix headers sent to gatekeeper-api

- Add x-civic-flowid to headers sent from to gatekeeper api
- Fix refresh timeout by restarting timeout on any gatewayToken change

## 0.16.2 - Handle user-rejects Civic Pass transaction signing

- Add flowId and flowType to the parameters passed to the iframe to be used for analytics
- Separate handling of sign and send errors in the solana chain implementation, and send the appropriate error code to the iframe
- Fix useRefresh setTimeout maximum duration

## 0.15.0 - chainImplementation handleUserTransaction signature change

- Update chainImplementation handleUserTransaction returning a Promise<string> instead of Promise<void>
- Update common gateway RC with auto-retry fixes so that the NO_AUTO_RETRY flag can be taken into account

## 0.14.0 - Handle Rejected

- Fix the RC to treat 4XX calls as REJECTED, instead of ERROR

## 0.13.0 - Update to latest common-gateway-react

- bump the common RC to 0.9.0 to bring in recent changes

## 0.12.3 - Handle undefined gatekeeperNetwork

- fix: don't intitiate user flows if gatekeeper network is undefined

## 0.12.2 - Remove legacy POWO

- use the latest common RC which removes the legacy zero-cost transaction code from the flows as this has been disabled in the iframe & fixes the conditional react-hook bug

## 0.12.1 - Ledger support for POWO

- Allow empty string payloads to be passed to Remote Civic Sign request signed proof to trigger Ledger signing transactions rather than the currently-unsupported signing of solana messages

## 0.16.8 - Parse referrer from parent URL search params if provided

- Allow the referrer passed through to the iframe to be overridden by a parent page URL 'referrer' param

## 0.12.0 - Prove wallet ownership by signing a message

- Support passing a message for proving wallet ownership
- bump the common RC to 0.8.5 to update types

## 0.11.8 - Error handling for insufficient funds

- Catch and parse the insufficient funds error, and load the iframe with the correct error code

## 0.11.6 - No auto-maximise on load

- bump common RC to 0.8.2 to fix auto-maximise behaviour

## 0.11.5 - Reset state fixes

- bump the common RC to 0.8.1 to fix state changes

## 0.11.4 - Refresh flow fixes

- Use common RC 0.8.0 with refresh flow fixes

## 0.11.2 - Handle IN_REVIEW gatekeeper issuance request

- Use common-gateway-react v 0.6.2
- build fixes for ESM version
