import { Config } from '@civic/prove-solana-wallet';
export declare const makeConfig: (clusterUrl: string, cluster: string) => Config;
export type PayerConfig = {
    gatekeeperSendsTransaction: true;
    payerParameter: undefined;
    owner: undefined;
} | {
    gatekeeperSendsTransaction: false | undefined;
    payerParameter: string | undefined;
    owner: string | undefined;
};
/**
 * Return the payer based on the gatekeeperSendsTransaction flag and any specified payer.
 * If gatekeeperSendsTransaction is defined, then ownerSings is the inverse of its value
 * If gatekeeperSendsTransaction is not defined, then ownerSings is the inverse of broadcastTransaction
 * If neither are defined, ownerSigns is enabled
 */
export declare const getPayer: ({ gatekeeperSendsTransaction, payerParameter, owner }: PayerConfig) => string | undefined;
